SystemRegistry (BioJava-1.5-beta API)
Keywords: org.biojava.directory.SystemRegistry class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.directory
Class SystemRegistry

    java.lang.Object
      org.biojava.directory.SystemRegistry

    public class SystemRegistry

extends Object

A registry that loads up the standard biodirectory files.

This class will search for the following files in turn:

1. ~/.bioinformatics/seqdatabase.ini where ~ is the JAVA user home system property
2. /etc/bioinformatics/seqdatabase.ini
3. "http://www.open-bio.org/registry/seqdatabase.ini

The default search path may be replaced by an alternative search path specified by the `OBDA_SEARCH_PATH` system environment variable. This environment variable is a "+" delimted string of files and URLs. The search order proceeds from read left to right.

Author:
  Thomas Down, Matthew Pocock, Keith James

Field Summary
`static String` | `CONFIG_FILE`
`static String` | `CONFIG_LOCATOR`
`static String` | `OBDA_SEARCH_ENV`

Constructor Summary
`SystemRegistry()`

Method Summary
`static List` | `getRegistryPath()` Get the list of places that will be searched for registry files.
`static Registry` | `instance()` Get the singleton Registry instance representing the system-wide default registry.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONFIG_LOCATOR

    public static final String CONFIG_LOCATOR

See Also:
  Constant Field Values

### CONFIG_FILE

    public static final String CONFIG_FILE

See Also:
  Constant Field Values

### OBDA_SEARCH_ENV

    public static final String OBDA_SEARCH_ENV

See Also:
  Constant Field Values

Constructor Detail

### SystemRegistry

    public SystemRegistry()

Method Detail

### instance

    public static Registry instance()

  Get the singleton Registry instance representing the system-wide default registry.

  Returns:
    the system-wide Registry object.

### getRegistryPath

    public static List getRegistryPath()

  Get the list of places that will be searched for registry files.

  Returns:
    a List of strings that are URLs to bioregistry files.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD